## NAME

gt-repfind - Compute maximal exact matches (and more).

## SYNOPSIS

gt repfind [options] -ii indexname

## DESCRIPTION

-l [value]

  Specify minimum length of matches (default: 0)

-f [yes|no]

  Compute forward matches (default: yes)

-r [yes|no]

  Compute reverse matches (default: no)

-p [yes|no]

  Compute matches on reverse strand (default: no)

-seedlength [value]

  Specify minimum length of seed (default: 0)

-maxfreq [value]

  Specify maximal frequency of maximal exact matches in reference sequence (default: 0)

-extendxdrop [value]

  Extend seed to both sides using xdrop algorithm, optional parameter specifies sensitivity (default: 97)

-xdropbelow [value]

  Specify xdrop cutoff score (argument 0 means undefined). If undefined an optimal value is determined automatically depending on the error rate

-extendgreedy [value]

  Extend seed to both sides using greedy algorithm with trimming of waves, optional parameter specifies sensitivity (default: 97)

-minidentity [value]

  Specify minimum identity of matches as integer in the range from 70 to 99 (for xdrop and greedy extension) (default: 80)

-a [value]

  show alignments/sequences for exact matches (optional argument is number of columns per line) (default: 70)

-ii [string]

  Specify input index (default: undefined)

-scan [yes|no]

  scan index rather than map it to main memory (default: no)

-v [yes|no]

  be verbose (default: no)

-help

  display help and exit

-version

  display version information and exit

## REPORTING BUGS

Report bugs to <kurtz@zbh.uni-hamburg.de>.